/* html_widget.h
 */

#ifndef HTML_WIDGET_H
#define HTML_WIDGET_H

#include <htmlview.h>
#include <qevent.h>

/**
 * This class is used to add extra functionality to the KHTMLWidget:
 * a scrollbar (when needed) and 3 signals to make DND possible.
 *
 * @see FHtml
 */
class FHtmlWidget : public KHTMLWidget
{
	Q_OBJECT

public:
	FHtmlWidget( QWidget *parent=0, const char *name=0 ) ;

protected:
	void mousePressEvent( QMouseEvent * ) ;
	void mouseReleaseEvent( QMouseEvent * ) ;
	void mouseMoveEvent( QMouseEvent * ) ;
signals:
	void notifyMousePressEvent( QMouseEvent * ) ;
	void notifyMouseReleaseEvent( QMouseEvent * ) ;
	void notifyMouseMoveEvent( QMouseEvent * ) ;

} ;

#endif
